-- love.lua
-- run programs outside love2d

local function nop() end

local m={
	__index = function (t,k)
		--local f=nop
		local f=function (...) print("G."..k,...) end
		rawset(t,k,f)
		return f
	end
}

local function proxy(k)
	love[k]=setmetatable({},m)
end

love={}
proxy"graphics"
proxy"window"
proxy"keyboard"

function love.graphics.getDimensions() return 640,480 end

dofile(arg[1])

love.load()
love.draw()
